vianetz | We do Magento®

Häufig gestellte Fragen

Falls Sie weitere Fragen haben, kontaktieren Sie mich bitte gerne.


Fehlermeldung "Fatal error: Access level to FPDI::_putformxobjects() must be public (as in class FPDF_TPL) in ..../lib/SetasignFpdi/fpdi.php on line 695"

Letzte Akt.: 29.05.2017

Ausgangssituation
Im Shop sind unser AdvancedInvoiceLayout-Modul sowie die DHL_Intraship-Extension installiert.
Bei Druck der Labels oder PDF-Rechnungen erscheint folgende Fehlermeldung:
Fatal error: Access level to FPDI::_putformxobjects() must be public (as in class FPDF_TPL) in ..../lib/SetasignFpdi/fpdi.php on line 695

Lösung
Aufgrund der unterschiedlichen FPDI-Library-Versionen sind Anpassungen an folgenden Dateien notwendig (vielen Dank an Tobias Bungers für die Lösung):

  • app/code/community/Dhl/Intraship/Helper/Pdf.php (line 65)
  • app/code/community/Dhl/Intraship/Helper/Pdf/Document.php (line 100)


Bitte kontaktieren Sie uns, falls Sie die Patches benötigen.

« Zurück zur FAQ-Übersicht